#version 330 core

in vec3 f_position;
in vec3 f_normal;
in vec2 f_texCoord;

layout (location = 0) out vec4 gAlbedo;
layout (location = 1) out vec3 gPosition;
layout (location = 2) out vec3 gNormal;

struct Material {
	vec3 ambient;
    sampler2D diffuse0;
    sampler2D specular0;
    float shininess;
};

uniform Material material;

void main()
{
	vec4 diffSample = texture(material.diffuse0, f_texCoord); //* vec4(255.0 / 255.0, 255.0 / 255.0, 0.0 / 255.0, 0.0f) / 2.0f;
	if(diffSample.a < 0.1)
		discard;
	diffSample.a = material.shininess *0.0f;
    gPosition = f_position;
	gNormal = normalize(f_normal);
	gAlbedo = diffSample * vec4(1.0f, 5.0f, 1.0f, 1.0f); //diffSample * max(0.0, dot(f_normal, normalize(vec3(1.0, 1.0, 0.0)))) + diffSample * 0.1; //texture(material.specular0, f_texCoord) * 0.3;	
}