#version 330 core

in vec3 v_position;
in vec3 v_normal;
in vec2 v_texCoord;
in mat4 v_modelView;
in mat3 v_modelViewInvTrans;

out vec3 f_position;
out vec3 f_normal;
out vec2 f_texCoord;

uniform mat4 projection;

void main()
{
	vec4 mvPosition = v_modelView * vec4(v_position, 1.0);
	f_position = vec3(mvPosition);
	f_texCoord = v_texCoord;
	
	f_normal = v_modelViewInvTrans * v_normal;
	gl_Position = projection * mvPosition;
}