#version 330 core

in vec3 f_position;
in vec3 f_normal;
in vec2 f_texCoord;

layout (location = 0) out vec4 gAlbedo;
layout (location = 1) out vec3 gPosition;
layout (location = 2) out vec3 gNormal;

struct Material {
	vec3 ambient;
    sampler2D diffuse0;
    sampler2D specular0;
    float shininess;
};

uniform Material material;

void main()
{
	vec4 diffSample = texture(material.diffuse0, f_texCoord); 
	if(diffSample.a < 0.1)
		discard;
	float brightness = (diffSample.x + diffSample.y + diffSample.z);
    gAlbedo = vec4(5.0f, 0.0f, 0.0f, 1.0f) * brightness;
	gPosition = f_position;
	gNormal = f_normal;
}