#version 330 core

in vec3 v_position;
in vec3 v_worldPosition;

out vec3 f_position;
flat out vec3 f_worldPosition;

uniform mat4 projection;
uniform mat4 view;

void main()
{
	vec3 worldVertPos = v_position + v_worldPosition;
	
	f_position = worldVertPos;
	f_worldPosition = (view * vec4(v_worldPosition, 1.0f)).xyz;
	
	gl_Position = projection * view * vec4(worldVertPos, 1.0f);
}