#version 330 core
in vec2 f_texCoords;

out vec4 outColor;

uniform sampler2D original;
uniform sampler2D blurred;

uniform float exposure;

void main()
{	
	const float gamma = 2.2;
	vec3 hdrColor = vec3(texture(original, f_texCoords) + texture(blurred, f_texCoords));;
	vec3 mapped = vec3(1.0) - exp(-hdrColor * exposure);
	outColor = vec4(mapped, 1.0f);
}