#version 330 core
in vec2 f_texCoords;

out vec4 outColor;

uniform bool horizontal;
uniform sampler2D image;

uniform float weights[5] = float[] (0.227027, 0.1945946, 0.1216216, 0.054054, 0.016216);

void main()
{
	vec2 texel = 1.0 / textureSize(image, 0);
	
	vec3 result = texture(image, f_texCoords).rgb * weights[0];
	
	if(horizontal)
	{
		for(int i = 1; i < 5; ++i)
		{
			result += texture(image, f_texCoords + vec2(texel.x * i, 0.0)).rgb * weights[i];
			result += texture(image, f_texCoords - vec2(texel.x * i, 0.0)).rgb * weights[i];
		}
	}
	else
	{
		for(int i = 1; i < 5; ++i)
		{
			result += texture(image, f_texCoords + vec2(0.0, texel.y * i)).rgb * weights[i];
			result += texture(image, f_texCoords - vec2(0.0, texel.y * i)).rgb * weights[i];
		}
	}
	
	outColor = vec4(result, 0.0f);
}