#version 330 core
in vec2 f_texCoords;

out vec4 outColor;

uniform sampler2D position;
uniform sampler2D image;
uniform sampler2D blurred;

uniform float focusDepth;
uniform float maxDepth;

void main()
{
	float depth = -texture(position, f_texCoords).z;
	float factor = min(abs(depth - focusDepth) / (maxDepth - focusDepth), 1);
	outColor = factor * texture(blurred, f_texCoords) + (1 - factor) * texture(image, f_texCoords);
	//outColor = vec4(1-factor);
}