#version 330 core
in vec2 f_texCoords;

out vec4 brightColor;

uniform sampler2D image;

void main()
{ 
	const float threshold = .8;
	vec3 imageSample = texture(image, f_texCoords).rgb;
	
	float brightnessRed = dot(imageSample, vec3(0.7152, 0.2126, 0.0722));
	float brightnessGreen = dot(imageSample, vec3(0.2126, 0.9152, 0.0722));
	float brightness = dot(imageSample, vec3(0.2126, 0.7152, 0.0722));
	
	float minThreshold = min(brightnessRed, min(brightnessGreen, brightness));
	
	brightColor = vec4(0.0f);
	if(brightness > minThreshold) {
		brightColor = vec4(imageSample, 1.0f);
	}
}